Summary: Kanji code filter
Summary(ja): 漢字コード変換フィルタ
Name: kcc
Group: Applications/Text
Version: 2.3
Release: 1%{?_dist_release}
Source: kcc.tar.gz
Patch0: kcc-stdarg.patch
License: GPL2
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description 
Kanji code filter with auto-detection of the code.

%description -l ja
自動判別機能つき漢字コードフィルターです。日本語EUC，7ビットJIS，
8ビットJIS，シフトJISに対応しており、半角かなにも対応しています。

%prep
rm -rf %{buildroot}

%setup -q -n %{name}
%patch0 -p1 -b .stdarg

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/ja/man1
make BINPATH=%{buildroot}/%{_bindir} install
make MANPATH=%{buildroot}/%{_mandir} JMANDIR=ja install.man

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/kcc
%{_mandir}/ja/man1/*

%changelog
* Sat May 16 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.3-1
- applied new versioning policy, spec in UTF-8

* Tue Aug 23 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.3-0vl4
- rebuild with new toolchains
- added Patch0 to compiler gcc >= 3.3 
- s/Copyright/License/

* Fri Jan 12 2001 Jun Nishii <jun@vinelinux.org>
- 2.3-0vl3
- use macros in spec

* Tue Aug  1 2000 Jun Nishii <jun@vinelinux.org>
- 2.3-0vl2
- move man to ja from ja_JP.ujis
- auto gzip man by brp

* Thu Jan  6 2000 Jun Nishii <jun@vinelinux.org>
- ver 2.3

* Sun Sep 26 1999 Hideya Hane <Vine@flatout.org>
- rebuild for glibc-2.1

* Fri Dec 18 1998 Jun NISHII <jun@vinelinux.org>
- first release
